ContextResource (Catalina Internal API Documentation)
Keywords: org.apache.catalina.deploy.ContextResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextResource

    java.lang.Object
      org.apache.catalina.deploy.ContextResource

public final class ContextResource
extends java.lang.Object

Representation of a resource reference for a web application, as represented in a `<resource-ref>` element in the deployment descriptor.

Version:
  $Revision: 289023 $ $Date: 2004-08-26 18:06:34 -0400 (Thu, 26 Aug 2004) $
Author:
  Craig R. McClanahan

Field Summary
`protected NamingResources` | `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ContextResource()`

Method Summary
`java.lang.String` | `getAuth()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`NamingResources` | `getNamingResources()`
`java.lang.String` | `getScope()`
`java.lang.String` | `getType()`
`void` | `setAuth(java.lang.String auth)`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setScope(java.lang.String scope)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ContextResource

    public ContextResource()

Method Detail

### getAuth

    public java.lang.String getAuth()

### setAuth

    public void setAuth(java.lang.String auth)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

### getNamingResources

    public NamingResources getNamingResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.